Subject: Re: problem with Windows 7 + native python
From: marco atzeri <[email-masked]>
To: [email-masked]
Cc: Andreas Otto <[email-masked]>
Date: Thu, 7 Apr 2011 11:55:47 +0200
List-Id: <cygwin.cygwin.com>

On Thu, Apr 7, 2011 at 10:41 AM, Andreas Otto  wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
>
> Hi,
>
> I have installed a native python:
>
>        -> python-3.2.amd64.msi
>
> on a 64 bit windows.
>
> I'm using the latest cygwin:
>
> CYGWIN_NT-6.1-WOW64 win701 1.7.9(0.237/5/3) 2011-03-29 10:10 i686 Cygwin
>
> no my problem.
>
> The dll:
>
> C:\Windows\System32\python32.dll
>
> is available.
> - -> visible in files explorer
> - -> visible in DOS box
>
> but >>invisible<< in the cygwin bash shell:
>
> $ ls /cygdrive/c/Windows/System32/python32.dll
> ls: cannot access /cygdrive/c/Windows/System32/python32.dll: No such
> file or directory

it is almost a FAQ for windows at 64 bit
http://cygwin.com/ml/cygwin/2006-01/msg00444.html

look in
C:\WINDOWS\SysWOW64

>
>
> problem: I cannot compile any python extension without this file.
>
> python self is working well:
>
>
> dev1usr@win701 ~/Project/NHI1
> $ /cygdrive/c/Python32/python.exe -c "from distutils.sysconfig import *;
> print(''.join(get_config_vars('VERSION')),end='')"
> 32
>
>
> mfg, Andreas Otto

Regards
Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple